Update User

View as Markdown

Updates a user’s external_id and/or tags and upserts the persisted responder for the agent. Only provided fields are changed.

Authentication

x-api-keystring
API key for authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

user_idstringRequired
The user's external id or internal id

Request

This endpoint expects an object.
external_idstring or nullOptional<=100 characters
Your external identifier for the user.
tagslist of strings or integersOptional

Applied tags as a mix of existing tag ids and/or default-language tag names. Unknown ids or names are rejected. Tags are mirror-owned and never created here.

responder_idintegerOptional
Responder to persist for this user on the requesting agent. Must be active on the agent.

Response

The updated user
dataobjectOptional

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error